# PROCESS MADELON DATA - STAGE 1.

source("../../read.r")
source("../../write.r")
source("../../count.r")

# Read in the data.

read.dense()

n.train <- nrow(train.x)
n.valid <- nrow(valid.x)
n.test <- nrow(test.x)
n.all <- n.train+n.valid+n.test

all.x <- rbind(train.x,valid.x,test.x)

# Find some stats.

all.mean <- apply(all.x,2,mean)
all.sd <- apply(all.x,2,sd)

# All the features of Madelon are often non-zero, so there's no need to
# count how often they're non-zero, or to produce "trimmed" data.
