postscript("dexter-doc.ps",height=4.4,width=9,horiz=FALSE,pointsize=7)

par(mfrow=c(1,2))

plotc (train.x[,ix.red[1]], train.x[,ix.red[6]], jitter=20,
       ylim=c(-10,250), xlim=c(-10,250),
       xlab="Feature 15798", ylab="Feature 12916",
       col=c("gray", "black", "gray"))

pc <- read.table("train.data.pc",head=F)

plotc (pc[,2], pc[,8], 
       xlab="Second Principal Component", ylab="Eighth Principal Component",
       col=c("gray", "black", "gray"))

dev.off()
